fann_get_training_algorithm
fann_length_train_data
Fann Functions
PHP Manual

# fann_init_weights

(PECL fann >= 1.0.0)

fann_init_weights — Initialize the weights using Widrow + Nguyen’s algorithm

### Description

bool fann_init_weights ( resource `$ann` , resource `$train_data` )

Initialize the weights using Widrow + Nguyen’s algorithm.

This function behaves similarly to fann_randomize_weights(). It will use the algorithm developed by Derrick Nguyen and Bernard Widrow to set the weights in such a way as to speed up training. This technique is not always successful, and in some cases can be less efficient than a purely random initialization.

The algorithm requires access to the range of the input data (for example largest and smallest input), and therefore accepts a second argument, data, which is the training data that will be used to train the network.

### Parameters

`ann`

  Neural network resource.

`train_data`

  Neural network training data resource.

### Return Values

Returns `TRUE` on success, or `FALSE` otherwise.

### See Also

- fann_randomize_weights() - Give each connection a random weight between min_weight and max_weight
- fann_read_train_from_file() - Reads a file that stores training data

fann_get_training_algorithm
fann_length_train_data
Fann Functions
PHP Manual